stages:
  - generate-go

generate_go:
  stage: generate-go
  script:
    - protoc -I ./ --go-grpc_out=require_unimplemented_servers=false:. *.proto --go_out=. --plugin=protoc-gen-grpc=/usr/local/bin/protoc-gen-go
  tags:
    - random-text-tag